Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRTextExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.JRTextExporterParameter

    public class JRTextExporterParameter

extends JRExporterParameter

Contains parameters useful for export in plain text format.

The text exporter can send data to a string buffer, output stream, character stream or file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STRING_BUFFER, OUTPUT_WRITER, OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

Version:
  $Id: JRTextExporterParameter.java 3055 2009-09-18 15:30:34Z shertage $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Field Summary
`static JRTextExporterParameter` | `BETWEEN_PAGES_TEXT` A string representing text that will be inserted between pages of the generated report.
`static JRTextExporterParameter` | `CHARACTER_HEIGHT` An integer representing the pixel/character horizontal ratio.
`static JRTextExporterParameter` | `CHARACTER_WIDTH` An integer representing the pixel/character horizontal ratio.
`static JRTextExporterParameter` | `LINE_SEPARATOR` A string representing the separator between two lines of text.
`static JRTextExporterParameter` | `PAGE_HEIGHT` An integer representing the page height in characters.
`static JRTextExporterParameter` | `PAGE_WIDTH` An integer representing the page width in characters.
`static java.lang.String` | `PROPERTY_CHARACTER_HEIGHT` Property whose value is used as default state of the `CHARACTER_HEIGHT` export parameter.
`static java.lang.String` | `PROPERTY_CHARACTER_WIDTH` Property whose value is used as default state of the `CHARACTER_WIDTH` export parameter.
`static java.lang.String` | `PROPERTY_PAGE_HEIGHT` Property whose value is used as default state of the `PAGE_HEIGHT` export parameter.
`static java.lang.String` | `PROPERTY_PAGE_WIDTH` Property whose value is used as default state of the `PAGE_WIDTH` export parameter.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`JRTextExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHARACTER_WIDTH

    public static final JRTextExporterParameter CHARACTER_WIDTH

  An integer representing the pixel/character horizontal ratio.

### PROPERTY_CHARACTER_WIDTH

    public static final java.lang.String PROPERTY_CHARACTER_WIDTH

  Property whose value is used as default state of the `CHARACTER_WIDTH` export parameter.

  This property is not set by default.

  See Also:
    `JRProperties`, Constant Field Values

### CHARACTER_HEIGHT

    public static final JRTextExporterParameter CHARACTER_HEIGHT

  An integer representing the pixel/character horizontal ratio.

### PROPERTY_CHARACTER_HEIGHT

    public static final java.lang.String PROPERTY_CHARACTER_HEIGHT

  Property whose value is used as default state of the `CHARACTER_HEIGHT` export parameter.

  This property is not set by default.

  See Also:
    `JRProperties`, Constant Field Values

### PAGE_WIDTH

    public static final JRTextExporterParameter PAGE_WIDTH

  An integer representing the page width in characters.

### PROPERTY_PAGE_WIDTH

    public static final java.lang.String PROPERTY_PAGE_WIDTH

  Property whose value is used as default state of the `PAGE_WIDTH` export parameter.

  This property is not set by default.

  See Also:
    `JRProperties`, Constant Field Values

### PAGE_HEIGHT

    public static final JRTextExporterParameter PAGE_HEIGHT

  An integer representing the page height in characters.

### PROPERTY_PAGE_HEIGHT

    public static final java.lang.String PROPERTY_PAGE_HEIGHT

  Property whose value is used as default state of the `PAGE_HEIGHT` export parameter.

  This property is not set by default.

  See Also:
    `JRProperties`, Constant Field Values

### BETWEEN_PAGES_TEXT

    public static final JRTextExporterParameter BETWEEN_PAGES_TEXT

  A string representing text that will be inserted between pages of the generated report. By default, JasperReports separates pages by two empty lines, but this behavior can be overridden by this parameter.

### LINE_SEPARATOR

    public static final JRTextExporterParameter LINE_SEPARATOR

  A string representing the separator between two lines of text. This parameter is useful since line separators can vary from one operating system to another. The default value is the system "line.separator" property.

Constructor Detail

### JRTextExporterParameter

    public JRTextExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com